$(document).on('stonehearthReady', function (cc) {
    if (!App.gameView) {
        return;
    }

    var view = App.gameView.getView(App.StorageAlertView);
    if (!view) {
        view = App.gameView.addView(App.StorageAlertView, {});
    }
});

App.StorageAlertView = App.View.extend({
    templateName: 'storageAlert',
    items: [],

    didInsertElement: function () {
        var self = this;
        self._super();

        $('#storageAlertWindow').draggable({ containment: 'window' });
        $('#storageAlertWindow,#storageAlertTable').on('contextmenu', function () {
            $('#storageAlertTable').toggle();
        });

        radiant.call('storagealert:get_failed_restock_items')
        .done(function (response) {
            if (response.failed_restock_items) {
                radiant.trace(response.failed_restock_items)
                .progress(function (data) {
                    self.set('items', radiant.map_to_array(data.items));
                });
            }
        });
    },
});